org.eclipse.oomph.util

## Class Confirmer.Confirmation

- java.lang.Object
- - org.eclipse.oomph.util.Confirmer.Confirmation

- Enclosing interface:
    Confirmer

      public static final class Confirmer.Confirmation
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Confirmer.Confirmation(boolean confirmed, boolean remember)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isConfirmed()`
    `boolean` | `isRemember()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Confirmer.Confirmation

          public Confirmer.Confirmation(boolean confirmed,
                                boolean remember)

  - ### Method Detail

    - #### isConfirmed

          public boolean isConfirmed()

    - #### isRemember

          public boolean isRemember()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html